/*
 * (C) 2003 Clemson University
 *
 * See COPYING in top-level directory.
 */

#include "coven_types.h"
#include "hecate_helpers.h"

/* Types must be typedefed here like this so that modules written for
 * this PSE can look consistent.  The typedefs below must be of POINTERS
 * to your types to retain constistency with the rest of Coven.  For an
 * example see CovenDriver/include/coven_types.h.
 * An example follows.
 */

#if 0
typedef your_type * PSE_YOUR_TYPE_BUFFER_TYPE;
typedef some_other_type * PSE_SOME_OTHER_TYPE_BUFFER_TYPE;
...
typedef another_type * PSE_ANOTHER_TYPE_BUFFER_TYPE;
#endif

/* Types _MUST_ be defined here as well with an integer STARTING AT
 * ZERO + PSE_TYPE_OFFSET.  See coven.h for the value of
 * PSE_TYPE_OFFSET - an example would be '100'.  #defines below
 * must start at this offset and increase by 1 each or the code which
 * uses this will not function.  
 * An example follows.
 */
#if 0
#define PSE_YOUR_TYPE_BUFFER       0 + PSE_TYPE_OFFSET
#define PSE_SOME_OTHER_TYPE_BUFFER 1 + PSE_TYPE_OFFSET
...
#define PSE_ANOTHER_TYPE_BUFFER    2 + PSE_TYPE_OFFSET
#endif
