/*
 * (C) 2003 Clemson University
 *
 * See COPYING in top-level directory.
 */

/* a generic vector struct */
typedef struct Medea_Vector {
	double x, y, z;
} Medea_Vector;

/* a simple struct for what makes up a body */
typedef struct Medea_Body {
   	int id;
	double mass;
	Medea_Vector position;
	Medea_Vector velocity;
	Medea_Vector force;
} Medea_Body;

/* a struct containing information about a timestep */
typedef struct Medea_Header {
	int numbodies;
	int cycle;
	float timestep;
} Medea_Header;
