/*
 * (C) 2003 Clemson University
 *
 * See COPYING in top-level directory.
 */

#include "coven.h"

char *COVEN_ModeStrArray[] = {
	"COVEN_INPUT",
	"COVEN_OUTPUT",
	"COVEN_INOUT",
};

int COVEN_TypeSizeArray[] = {
	sizeof(char),
	sizeof(unsigned char),
	sizeof(short),
	sizeof(unsigned short),
	sizeof(int),
	sizeof(unsigned int),
	sizeof(float),
	sizeof(double),
};

int COVEN_get_type_size(int which) { return COVEN_TypeSizeArray[which]; }
char * COVEN_get_mode_string(int which) { return COVEN_ModeStrArray[which]; }
